---
title: "Get a user"
description: "Returns the details of a user on Mindtickle by Mindtickle user ID."
contentType: "api-reference"
url: "https://developer.mindtickle.com/docs/users-and-groups/users/get-a-user/"
---

## Prerequisites

1. [Authentication and setup](/docs/getting-started/authentication-and-setup/): A valid access token.
2. [Create a user](/docs/users-and-groups/users/create-a-user/): The user must exist.

## Endpoint

```http
GET /services/data/v4.0/mtobjects/User/USER_ID
```

Base URL: the standard REST host for your region. See [Base URLs](/docs/getting-started/authentication-and-setup/#base-urls).

Headers: `Authorization: Bearer ACCESS_TOKEN`.

## Path parameters

| Parameter | Type | Required | Description |
| --- | --- | --- | --- |
| `USER_ID` | string | Required | Mindtickle ID of the user. |

## Request

This endpoint has no request body.

## Response

| Field | Type | Description |
| --- | --- | --- |
| `requestId` | string or null | Request identifier. The response examples return `null`. |
| `responseCode` | integer | Special response codes from the server. |
| `responseType` | string | Type of response from the server. |
| `taskCompleted` | boolean | Completion flag for this request. This endpoint returns its result directly. |
| `user` | User | The requested user object. |
| `user.name` | string | Name of the user. |
| `user.username` | string | Username of the user when UID is enabled for your Mindtickle instance, and the email address when UID is not enabled. |
| `user.timezone` | string | Time zone of the user. |
| `user.id` | string | Mindtickle ID of the user. |
| `user.email` | string or null | Applicable only if UID is enabled for your Mindtickle instance. |
| `user.userState` | string | Current state of the user: Active, Added, or Deactivated. |
| `user.profile` | AttributeMap | Mindtickle profile fields information. |
| `user.groupIds` | Array[string] | IDs of the groups that the user belongs to. |
| `user.seriesEntities` | Array[SeriesEntity] | Series that the user is invited to. |
| `user.source` | string | The system mechanism used to provision the user. Possible values include `_default` (REST API), `okta` (Okta SCIM), and `AzureAD` (Azure AD SCIM). |
| `user.managers` | Array[Manager] | Information on the managers assigned to the user. |

### Response example

```json
{
  "requestId": null,
  "responseCode": 0,
  "responseType": "USER",
  "taskCompleted": true,
  "user": {
    "name": "Alex Fry",
    "username": "alex.fry@example.com",
    "timezone": "America/Costa_Rica",
    "id": "123456789abcd101",
    "email": null,
    "userState": "ADDED",
    "profile": {},
    "groupIds": [],
    "seriesEntities": [],
    "source": "_default",
    "managers": []
  }
}
```

## Related

- [Search users](/docs/users-and-groups/users/search-users/): Find the Mindtickle user ID this endpoint needs.
- [Update a user](/docs/users-and-groups/users/update-a-user/): Update the user you read.
- [Deactivate a user](/docs/users-and-groups/users/deactivate-a-user/): Deactivate the user you read.
